export function mixinStyle(defStyle = {}, style) {
  if(!style) return defStyle;
  if(typeof style !== 'string') {
    return { ...defStyle, ...style }
  }
  return Object.keys(defStyle).filter(x => !!defStyle[x]).map(key => {
    return `${key}: ${defStyle[key]};`;
  }).join('') + (style || '');
}
